> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download file

> Get download link for file with results

This endpoint returns a link to a file containing the verification result data in CSV format. The only required parameters for this endpoint are the API key and the file ID of the file to be uploaded.


## OpenAPI

````yaml GET /verify/file/{id}/download
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/file/{id}/download:
    get:
      tags:
        - File
      description: Get download link for file with results
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDownloadResponse'
              example:
                status: ready
                url: >-
                  https://data-exchange-dev-verifier.s3.amazonaws.com/bulks/exports/9f13c66c-51b5-4f28-8470-606a1d4bf099.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAYJMSIKZRYBTA5MPB%2F20240804%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20240804T135925Z&X-Amz-Expires=6000&X-Amz-Signature=6336b64a6d33034fc17a930d001f8306a1c9481932f2a262a58e3ddc5c1ce513&X-Amz-SignedHeaders=host
        '400':
          $ref: '#/components/responses/HttpErrorResponse400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    FileDownloadResponse:
      type: object
      properties:
        status:
          type: string
        url:
          type: string
  responses:
    HttpErrorResponse400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Bad Request
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````